Skip to content

Acknowledge an alert

Request

Acknowledges the given alert.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
alertstringrequired

The alert id.

curl -i -X POST \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/alerts/{alert}:acknowledge' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) The resource name of the alert. Format: alerts/{alert} string.resource_name = ["alerts/*"] // value must be a valid resource name

alertTypestring(alert_type)required

Required. The type of the alert. Format: alertTypes/{alert_type} string.resource_name = ["alertTypes/*"] // value must be a valid resource name

messagestring, <= 1000 characters(message)

(OPTIONAL) Optional. A description of what triggered the alert.

sourcestring(source)required

Required. The source that performed the alert.

Enum:"ALERT_SOURCE_UNSPECIFIED""BNDRY""TRANSACTION_MONITORING"
statestring(state)read-only

Output only. The state of the alert.

Enum:"STATE_UNSPECIFIED""OPEN""ACKNOWLEDGED""RESOLVED"
entitiesArray of strings(entities)

(OPTIONAL) Optional. The entities involved in this alert.

workspacestring(workspace)

(OPTIONAL) Optional. The workspace involved in this alert. string.resource_name = ["workspaces/*"] // value must be a valid resource name

formDefinitionstring(form_definition)

(OPTIONAL) Optional. Form Definition associated with the created form If both this and form is sent, they must match. If form is sent but this is not, it gets auto-populated string.resource_name = ["formDefinitions/*"] // value must be a valid resource name

formstring(form)

(OPTIONAL) Optional. The form involved in this alert. If both this and form_definition is sent, they must match. If form_definition is sent but this is not, it gets auto-populated string.resource_name = ["forms/", "workspaces//forms/*"] // value must be a valid resource name

annotationsobject(annotations)

(OPTIONAL) Optional key value annotations.

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the alert was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the alert was last updated.

deleteTimestring, (date-time)(delete_time)read-only

Output only. The timestamp when the alert was deleted. See AIP-164.

purgeTimestring, (date-time)(purge_time)read-only

Output only. The timestamp when the alert will be purged if soft-deleted. See AIP-164.

Response
{ "name": "string", "alertType": "string", "message": "Entity is due for a periodic review based on review schedule for high-risk entities", "source": "ALERT_SOURCE_UNSPECIFIED", "state": "STATE_UNSPECIFIED", "entities": [ "entities/john-smith-001" ], "workspace": "string", "formDefinition": "string", "form": "string", "annotations": { "property1": "string", "property2": "string" }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "deleteTime": "2023-01-15T01:30:15.01Z", "purgeTime": "2023-01-15T01:30:15.01Z" }